## magnus 1.0.2

=== debian/changelog ===
magnus (1.0.2-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Aug 2019 20:36:02 +0200

magnus (1.0.2-1) experimental; urgency=medium

  [ Martin Wimpress ]
  * Initial release. (Closes: #930068).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 06 Jun 2019 16:33:03 +0200
