## magnus 4.1.1

=== Makefile ===
##
##   $Id: Makefile,v 1.8 1997/02/19 15:06:32 bormotov Exp $
##


## Copyright (C) 1996 The New York Group Theory Cooperative
## See magnus/doc/COPYRIGHT for the full notice.

## Contents: Makefile for the magnus project.
##
## Principal Author: Roger Needham
##
## Status:  Useable.
##          @rn Doesn't clean magnus/doc/manual/ yet.
##
## Revision History:
##

## Things you may need to change for your system:

export CC = g++
export DEBUG = -DDEBUG -g
export DEFINE = -DHAVE_UNISTD_H
export CFLAGS = $(DEBUG) $(DEFINE)


## You shouldn't need to change the following:

.PHONY: all clean distclean mostlyclean realclean junkclean auxclean

all:
	@if [ ! -f back_end/global/config.h ]; \
         then echo; echo "You must run ./Configure first"; echo; exit 1; fi
	cd back_end; $(MAKE) all
	@echo
	@echo "The executable is ./front_end/magnus"
	@echo

## Deletes all executable, obj and library files
clean: junkclean
	cd back_end; $(MAKE) clean

## Deletes all files except executables
distclean: auxclean
	cd back_end; $(MAKE) distclean
	-rm -rf back_end/CVS back_end/Makefile back_end/canonical
	mv -f aConfigure Configure
	-rm -rf bin experiments misc CVS Makefile 

## Deletes only library and obj files
mostlyclean: junkclean
	cd back_end; $(MAKE) mostlyclean

realclean: distclean

junkclean:
	-find . \( -name "*[%~]"  -a -exec rm {} \; \) -o \
                \( -name "*.BAK"  -a -exec rm {} \; \) -o \
                \( -name "*.bak"  -a -exec rm {} \; \)

auxclean: junkclean
	-find . \( -name "*.aux"  -a -exec rm {} \; \) -o \
                \( -name "*.toc"  -a -exec rm {} \; \) -o \
                \( -name "*.dvi"  -a -exec rm {} \; \) -o \
                \( -name "#*#"    -a -exec rm {} \; \) -o \
                \( -name "*.ps"   -a -exec rm {} \; \)
