## magnus 1.0.3

=== debian/changelog ===
magnus (1:1.0.3-4) unstable; urgency=medium

  * debian/control:
    + Add Rules-Requires-Root: field and set it to no.
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/upstream/metadata:
    + Drop obsolete fields Contact: and Name:.
  * debian/patches:
    + Add 1001_py-setup-no-i18n.patch. Fix FTBFS issue due to clean_i18n target
      by dropping all i18n functionality. The 'magnus' tool does not come with
      translation files. (Closes: #1054785).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Nov 2023 13:46:40 +0000

magnus (1:1.0.3-3) unstable; urgency=medium

  * Revert the unintended changes listed below. There were not meant to
    end up in the Debian bullseye version of this package.

  * debian/control:
    + revert: Bump DH compat level to version 13.
    + revert: Bump Standards-Version: to 4.5.0. No changes needed.
    + revert: Add Rules-Requires-Root: field and set it to no.
  * debian/upstream/metadata:
    + revert: Append .git suffix to URLs in Repository: field.
    + revert: Drop obsolete fields Contact: and Name:.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Jul 2021 20:21:26 +0200

magnus (1:1.0.3-2) unstable; urgency=medium

  * debian/changelog:
    + Introduce epoch 1 in package version. Debian previously (until Debian 6)
      had another piece of software called 'magnus' with a higher version
      number. (Closes: #991624).
  * debian/copyright:
    + Update copyright attributions.

  * The following changelog entries have been added here post-upload and were
    not intended to end up in this version.

  * debian/control:
    + Bump DH compat level to version 13.
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to no.
  * debian/upstream/metadata:
    + Append .git suffix to URLs in Repository: field.
    + Drop obsolete fields Contact: and Name:.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Jul 2021 12:14:37 +0200

magnus (1.0.3-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 28 Sep 2019 00:30:02 +0200
