=== debian/control ===
Source: magnus
Section: utils
Priority: optional
Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
Uploaders: Martin Wimpress <martin.wimpress@ubuntu.com>,
           Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-distutils-extra,
               python3-setuptools,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/stuartlangridge/magnus
Vcs-Browser: https://salsa.debian.org/debian-mate-team/magnus
Vcs-Git: https://salsa.debian.org/debian-mate-team/magnus.git

Package: magnus
Architecture: all
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-keybinder-3.0,
         python3 (>= 3.3),
         python3-gi,
         python3-setproctitle,
         ${misc:Depends},
         ${python3:Depends},
Description: Very simple screen magnifier
 Magnus is a simple screen magnifying glass. It nicely integrates with
 X11 desktops like MATE or Xfce (probably with others not named here,
 too).
 .
 Visually impaired users may find this tool helpful for zooming into
 certain screen areas in order to improve readability/visibilty of fonts,
 icons and other data.
