=== debian/watch ===
version=3
https://github.com/stuartlangridge/magnus/tags .*/V?(\d\S*)\.tar\.gz
